PHP Manual
Prev |  | Next

# xdiff_file_patch_binary

(PECL)

xdiff_file_patch_binary -- Patch a file with a binary diff

## Description

bool xdiff_file_patch_binary ( string file, string patch, string dest )

Patches a `file` with a binary `patch` and stores the result in a file.

## Parameters

`file`

  The original file.

`patch`

  The binary patch file.

`dest`

  Path of the resulting file.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. xdiff_file_patch_binary() example

The following code applies binary diff to a file.

`<?php $old_version = 'archive-1.0.tgz'; $patch = 'archive.bpatch'; $result = xdiff_file_patch_binary($old_version, $patch, 'archive-1.1.tgz'); if ($result) { echo "File patched"; } else { echo "File couldn't be patched"; } ?>`

## Notes

> Note: Both files (`file` and `patch`) will be loaded into memory so ensure that your memory_limit is set high enough.

## See Also

xdiff_string_patch_binary()

Prev | Home | Next
xdiff_file_merge3 | Up | xdiff_file_patch